# Solution

## Overview

A [Solution](/reference/servoycore/object-model/solution.md#solution) is a complete application in Servoy that can be run in various clients, containing forms, business logic, and data layer definitions.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                               | Summary                                                  |
| ----------------------------------------------------- | -------------------------------------------------------- |
| [Activate solution](#activate-solution)               | Change active solution to selected one.                  |
| [Change resources project](#change-resources-project) | Changes resources project attached to solution           |
| [Publish](#publish)                                   | Publish solution Git repository to Servoy Cloud          |
| [Add as module](#add-as-module)                       | Add solution as module to active solution                |
| [Delete solution](#delete-solution)                   | Remove solution (can choose to also delete it from disk) |
| [Rename solution](#rename-solution)                   | Can choose a new name for your solution                  |

## Commands Details

The details for each command available on this item via right-click context menu

### Activate solution

Changes the active solution to selected one. Active solution is the one being edited and run in Servoy Developer.

### Change resources project

Can select a new resources project (or no resources project). Some Servoy Developer resources are kept under a different project, that can be re used by different solutions. Basically , what you see under [Resources](/reference/servoy-developer/solution-explorer/resources.md) is saved under the resources project. Changing the resources project will reload all those resources from the new project.

### Publish

Publish solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

### Add as module

Add solution as module to active solution. Modules are re-usable solutions, that can be shared across different main solutions.

### Delete solution

Remove solution (can choose to also delete it from disk).

### Rename solution

You can choose a new name for your solution.

{% hint style="warning" %}
Warning\
Use with care.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/solution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
